com.explodingpixels.widgets.plaf

## Class EPTabPainter

- java.lang.Object
- - com.explodingpixels.widgets.plaf.EPTabPainter

-     public class EPTabPainter
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPTabPainter.CloseButtonLocation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPTabPainter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPointOverCloseButton(Rectangle tabBounds, Point point)`
    `void` | `paintTab(Graphics2D graphics, JTabbedPane tabPane, Rectangle tabBounds, String tabText, Icon tabIcon, boolean isSelected, boolean isMouseOverCloseButton, boolean isMousePressedOverCloseButton)`
    `void` | `setCloseButtonLocation(EPTabPainter.CloseButtonLocation closeButtonLocation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPTabPainter

          public EPTabPainter()

  - ### Method Detail

    - #### setCloseButtonLocation

          public void setCloseButtonLocation(EPTabPainter.CloseButtonLocation closeButtonLocation)

    - #### paintTab

          public void paintTab(Graphics2D graphics,
                      JTabbedPane tabPane,
                      Rectangle tabBounds,
                      String tabText,
                      Icon tabIcon,
                      boolean isSelected,
                      boolean isMouseOverCloseButton,
                      boolean isMousePressedOverCloseButton)

    - #### isPointOverCloseButton

          public boolean isPointOverCloseButton(Rectangle tabBounds,
                                       Point point)